Package ru.bitel.bgbilling.kernel.config.common.bean

# Class ConfigDataDto

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.config.common.bean.ConfigDataDto

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ConfigDataDto extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConfigDataDto.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigDataDto()`
  `ConfigDataDto(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConfigDataDto.Builder`
  `builder()`
  `Date`
  `getLastEdited()`
  `String`
  `getUserName()`
  `boolean`
  `isActive()`
  `ConfigDataDto`
  `setActive(boolean active)`
  `ConfigDataDto`
  `setLastEdited(Date lastEdited)`
  `ConfigDataDto`
  `setUserName(String userName)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ConfigDataDto

    public ConfigDataDto()

  - ### ConfigDataDto

    public ConfigDataDto(int id, String title)

- ## Method Details

  - ### getLastEdited

    public Date getLastEdited()

  - ### getUserName

    public String getUserName()

  - ### isActive

    public boolean isActive()

  - ### setLastEdited

    public ConfigDataDto setLastEdited(Date lastEdited)

  - ### setUserName

    public ConfigDataDto setUserName(String userName)

  - ### setActive

    public ConfigDataDto setActive(boolean active)

  - ### builder

    public static ConfigDataDto.Builder builder()